Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QImageFormatPlugin Class Reference

The QImageFormatPlugin class provides an abstract base for custom image format plugins. More...

`#include <qimageformatplugin.h>`

List of all member functions.

## Public Members

- QImageFormatPlugin ()
- ~QImageFormatPlugin ()
- virtual QStringList keys () const = 0
- virtual bool installIOHandler ( const QString & format ) = 0

## Detailed Description

The QImageFormatPlugin class provides an abstract base for custom image format plugins.

The image format plugin is a simple plugin interface that makes it easy to create custom image formats that can be used transparently by applications.

Writing an image format plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and installIOHandler(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the Plugins documentation for details.

See also Plugins.

## Member Function Documentation

### QImageFormatPlugin::QImageFormatPlugin ()

Constructs an image format plugin. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

### QImageFormatPlugin::~QImageFormatPlugin ()

Destroys the image format plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### bool QImageFormatPlugin::installIOHandler ( const QString & format )`[pure virtual]`

Installs a QImageIO image I/O handler for the image format format.

See also keys().

### QStringList QImageFormatPlugin::keys () const`[pure virtual]`

Returns the list of image formats this plugin supports.

See also installIOHandler().

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.